FROM python:3.9-slim-buster

ARG srcDir=src
WORKDIR /app
COPY $srcDir/requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY $srcDir/run.py .
COPY $srcDir/app ./app

EXPOSE 80

CMD ["gunicorn", "-b", "0.0.0.0:80", "run:app"]
